import request from '@/utils/request'

// 获取区下拉
export function bigDataHcAreaInfo(query) {
    return request({
        url: '/bigData/hc/hcAreaInfo',
        method: 'get',
        params: query
    })
}


// 获取乡镇下拉
export function bigDataHcCountyInfo(query) {
    return request({
        url: '/bigData/hc/hcCountyInfo',
        method: 'get',
        params: query
    })
}

//获取村级下拉
export function bigDataHcVillageInfo(query) {
    return request({
        url: '/bigData/hc/hcVillageInfo',
        method: 'get',
        params: query
    })
}

//右侧详情农房农地列表
export function hcBottomSearch(query) {
    return request({
        url: '/bigData/hc/hcBottomSearch',
        method: 'get',
        params: query
    })
}

//上传附件图片
export function commonUpload(query) {
    return request({
        url: '/common/upload',
        method: 'post',
        data: query
    })
}

//农房新增
export function houseAdd(query) {
    return request({
        url: '/geo/house/add',
        method: 'post',
        data: query
    })
}
//农房编辑
export function houseEdit(query) {
    return request({
        url: '/geo/house/edit',
        method: 'post',
        data: query
    })
}



//农地新增
export function landAdd(query) {
    return request({
        url: '/geo/land/add',
        method: 'post',
        data: query
    })
}

//农地编辑
export function landEdit(query) {
    return request({
        url: '/geo/land/edit',
        method: 'post',
        data: query
    })
}

//获取区、镇、村地区
export function treeselectByUser(query) {
    return request({
        url: '/system/dept/treeselectByUser',
        method: 'get',
        params: query
    })
}


//获取村的经纬度
export function deptGetId(id) {
    return request({
        url: '/system/dept/get/'+id,
        method: 'get',

    })
}




